Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1046309 - [ovirt-engine-log-collector] engine-ca -> cert-file option switch, support old option name
Summary: [ovirt-engine-log-collector] engine-ca -> cert-file option switch, support ol...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-log-collector
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: 3.4.0
Assignee: Sandro Bonazzola
QA Contact: Jiri Belka
URL:
Whiteboard: integration
Depends On:
Blocks: 1055505 rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2013-12-24 12:40 UTC by Sandro Bonazzola
Modified: 2014-09-18 12:24 UTC (History)
12 users (show)

Fixed In Version: ovirt-3.4.0-beta1
Doc Type: Bug Fix
Doc Text:
Previously, the parameter for specifcing the path and file name of the engine certificate to be used by the engine-log-collector command was '--engine-ca'. Now, this argument has been changed to '--cert-file'. This update provides backwards compatibility to update the old parameter to the new parameter in environments upgraded from Red Hat Enterprise Virtualization 3.1.
Clone Of: 1032689
: 1055505 (view as bug list)
Environment:
Last Closed: 2014-06-09 14:06:21 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0668 normal SHIPPED_LIVE rhevm-log-collector bug fix and enhancement update 2014-06-09 18:03:59 UTC
oVirt gerrit 22702 None None None Never

Comment 1 Sandro Bonazzola 2013-12-24 12:41:25 UTC
Renaming was introduced for fixing bug #894689.
We can't keep --engine-ca on command line due to that bug but we should avoid to exit with error if the engine_ca key is used in the configuration file.

Comment 2 Sandro Bonazzola 2013-12-24 14:18:48 UTC
merged on upstream mater branch for 3.4.0 rebase.

Comment 4 Jiri Belka 2014-01-30 09:41:59 UTC
ok, ovirt-image-uploader-3.4.0-0.1.beta1.el6.noarch

$ egrep "rhevm|engine-ca" /tmp/imageuploader.conf 
rhevm=10.34.63.78:443
engine-ca=/home/jbelka/ca.crt
$ sudo engine-image-uploader --conf-file=/tmp/imageuploader.conf -v list
DEBUG: API Vendor(ovirt.org)    API Version(3.4.0)
DEBUG: Found a DC named(Default)
Export Storage Domain Name     | Datacenter                | Export Domain Status
tmp-export                     | Default                   | active

Comment 5 Jiri Belka 2014-01-30 10:48:36 UTC
Ok, even for engine-log-collector.

Comment 7 errata-xmlrpc 2014-06-09 14:06:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0668.html


Note You need to log in before you can comment on or make changes to this bug.